Skip to content
Start here

Patch Gateway Log

client.AIGateway.Logs.Edit(ctx, gatewayID, id, params) (*LogEditResponse, error)
PATCH/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}

Updates metadata for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
gatewayID string

gateway id

maxLength64
minLength1
id string
params LogEditParams
AccountID param.Field[string]

Path param

Feedback param.Field[float64]optional

Body param

maximum1
minimum-1
Metadata param.Field[map[string, LogEditParamsMetadataUnion]]optional

Body param

UnionString
UnionFloat
UnionBool
Score param.Field[float64]optional

Body param

maximum100
minimum0
ReturnsExpand Collapse
type LogEditResponse interface{…}

Patch Gateway Log

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.AIGateway.Logs.Edit(
    context.TODO(),
    "my-gateway",
    "id",
    ai_gateway.LogEditParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}